Bug 473588 - Keyboard backlight does not turn on on MacBook Pro 4,1
Summary: Keyboard backlight does not turn on on MacBook Pro 4,1
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-29 16:12 UTC by Stewart Adam
Modified: 2009-12-18 07:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 07:01:58 UTC


Attachments (Terms of Use)
acpidump while running kernel 2.6.31 (111.04 KB, text/plain)
2009-08-06 23:50 UTC, Stewart Adam
no flags Details
acpi dump on .6.31.5-127.fc12.i686.PAE (109.97 KB, text/plain)
2009-12-02 07:07 UTC, Jussi Eloranta
no flags Details

Description Stewart Adam 2008-11-29 16:12:08 UTC
Description of problem:
When I press the keyboard backlight on/off keys, a little icon comes up on the screen but the backlight never actually turns on (the progress bar widget also remains empty). I'm not sure if this is because the ambient light sensor reading is incorrect, as I know on OS X the backlight won't turn on unless it's dark and the readings from the sensor in Fedora 10 seem to be incorrect (see comment 1 in bug 470044)

Version-Release number of selected component (if applicable):
hal-0.5.12-12.20081027git.fc10.x86_64
gnome-power-manager-2.24.1-3.fc10.x86_64
kernel-2.6.27.5-117.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Login
2. Press the F5/F6 keys
  
Actual results:
A icon for the keyboard brightness appears, but the backlight never turns on and the progress bar does not advance from its initial position no matter how many times F6 is pressed

Expected results:
Keyboard backlight turns on

Additional info:

Comment 1 Jeff Cook 2008-12-16 10:30:38 UTC
This is a symptom of the D-Bus breakage that prominently affected PackageKit earlier. Updating to the D-Bus package now in Koji or the original from F10 corrects this issue and several D-Bus related maladies. It is very disappointing that such a package ever hit the stable updates repo, let's hope Red Hat gets it together with the testing. : (

Comment 2 Stewart Adam 2009-01-21 13:06:15 UTC
It doesn't seem to be the DBus issue - the light sensor is still erratic for the screen backlight and the keyboard LED's won't turn on either.

Comment 3 Stewart Adam 2009-02-09 23:39:11 UTC
Same story with Fedora 11 Alpha - pressing the keyboard backlight keys produces an indicator on-screen, but the progressbar won't move from 0% and the LEDs don't turn on.

Comment 4 Zhang Rui 2009-08-03 07:45:20 UTC
First, please try the latest kernel, say 2.6.30.
please also attach the acpidump output of your laptop, using the latest pmtools at http://www.lesswatts.org/projects/acpi/utilities.php

Comment 5 Stewart Adam 2009-08-06 23:50:09 UTC
Created attachment 356601 [details]
acpidump while running kernel 2.6.31

Here you go, I ran this running kernel 2.6.31 from a F12 Koji build. Also using the latest pmtools package from the Fedora 11 repos.

Comment 6 Bug Zapper 2009-11-18 09:04:21 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Jussi Eloranta 2009-12-02 07:06:20 UTC
For me the keyboard backlight adjusting keys on my macbook pro are still not working. Not even the progressbar comes up - the keys are just dead. I can turn on the backlight by doing it manually (/sys/devices/platform/applesmc.768/leds/brightness and echo 200 in there, for example). This is on FC12 and kernel:
2.6.31.5-127.fc12.i686.PAE

I am also attaching the acpidump output based on the discussion above.

Comment 8 Jussi Eloranta 2009-12-02 07:07:51 UTC
Created attachment 375357 [details]
acpi dump on .6.31.5-127.fc12.i686.PAE

Comment 9 Bug Zapper 2009-12-18 07:01:58 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.